package com.ads.business.service;

import com.ads.business.entity.DocType;
import com.ads.business.service.model.request.DocTypeDetailRequest;
import com.ads.business.service.model.request.DocTypeEditRequest;
import com.ads.business.service.model.request.DocTypeListRequest;
import com.ads.business.service.model.response.DocTypeDetailResponse;
import com.ads.common.data.JsonResult;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface DocTypeService extends IService<DocType> {

    JsonResult selectList(DocTypeListRequest request);

    JsonResult add(DocTypeEditRequest request);

    JsonResult<DocTypeDetailResponse> detail(DocTypeDetailRequest request);

    JsonResult updateType(DocTypeEditRequest request);

    JsonResult updateSwitch(Long id, Integer status);

    /**
     * 下拉列表
     *
     * @return JsonResult
     */
    JsonResult dropList();

    /**
     * 全部下拉列表
     *
     * @return JsonResult
     */
    JsonResult dropListAll();

}
